<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;

$document 						= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_simple_slide/assets/css/default.css');

$moduleclass_sfx				= $params->get('moduleclass_sfx');
$width							= (int)$params->get('width');
$height							= (int)$params->get('height');
$ext_load_jquery				= (int)$params->get('ext_load_jquery', 1);
$ext_jquery_ver					= $params->get('ext_jquery_ver', '1.9.1');
$ext_speed						= (int)$params->get('ext_speed', 7000);

// Settings theme
$color_background				= $params->get('color_background', '#222');
$ext_bottom						= (int)$params->get('ext_bottom', 40);
$ext_border_radius_block		= $params->get('ext_bottom', '5px 0 0 5px');
$ext_left_or_right				= $params->get('ext_left_or_right', 'right');
$ext_left_or_right_val			= (int)$params->get('ext_left_or_right_val', 0);
$ext_border_radius_button		= $params->get('ext_border_radius_button', '3px');
$color_button					= $params->get('color_button', '#FFF');
$color_background_button		= $params->get('color_background_button', '#222');
$color_background_button_active	= $params->get('color_background_button_active', '#DC143C');
$color_button_active			= $params->get('color_button_active', '#FFF');


$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ();  
  
if (jQuery) jQuery.noConflict();  
  

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}


	
$names = array('img', 'alt', 'url', 'target');
$max = 10;
foreach($names as $name) {
	${$name} = array();
	for($i = 1; $i <= $max; ++$i) {
		${$name}[] = $params->get($name . $i);	
	}
}

require JModuleHelper::getLayoutPath('mod_ext_simple_slide', $params->get('layout', 'default'));	
?>